package com.brilliance.isc.vo.lg;


import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Ncdgrp;
import com.brilliance.isc.vo.model.Nidgrp;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NctcanStoreVo extends BaseTransactionVo {
    private Nidgrp nidgrp;
    private Ncdgrp ncdgrp;
    private String Rebkpflg = NULLSTR;


    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if (ncdgrp == null) {
            ncdgrp = new Ncdgrp();
        }
        ncdgrp.reset();
    }

}
